player_bumper_geom Struct Reference

Data AND Request/reply: bumper geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | bumper_def_count
| The number of valid bumper definitions. More...
player_bumper_define_t * | bumper_def
| geometry of each bumper

## Detailed Description

Data AND Request/reply: bumper geometry.

To query the geometry of a bumper array, send a null PLAYER_BUMPER_GET_GEOM request. The response will be in this form. This message may also be sent as data with the subtype PLAYER_BUMPER_DATA_GEOM (e.g., from a robot whose bumper can move with respect to its body)

## Member Data Documentation

uint32_t player_bumper_geom::bumper_def_count

The number of valid bumper definitions.

Referenced by RFLEX::ProcessMessage().

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45